/* FILEIO 
   routines for reading and writing TM disk files.
*/

#ifndef FILEIO_H
#define FILEIO_H

void read_file(struct qlist *lptr, struct maclist *mptr);
void write_file(struct qlist *lptr, struct maclist *mptr);
/* 
      Read or write a file.  Determine if it is a quintuple list (lptr)
      or a macro list (mptr)
*/

void read_tm_file( char *fname, struct qlist *ql, int *status);
void write_tm_file( char *fname, struct qlist *ql, int *status);
/* 
      Read or write a quintuple file.
*/

void read_mac_file (char *macname, struct maclist *ml, int *status);
void write_mac_file (char *fname, struct maclist *ml, int *status);
/*  
      Read or write a macro file.
*/

#endif
