/* header file for the help utility.
   See help.c for more information  */    

#ifndef HELP_H
#define HELP_H

void init_help(char *fname);
/*
        'fname' is the name of the help file.  

    'init_help' reads 'fname' into a help tree structure.  'fname' must 
    be written in the format of a VMS style help file, with the exception 
    that / in the first column has no special meaning.
*/

void get_help(char *itemstring);
/*
        'itemstring' is the item for which help information is to be printed.

      Display help for item 'itemstring'.
*/

#endif
