/*  file LIMITS.H  
    Written by David Harmon.
    Various limits and Base types for the Turing Machines. 
*/

#ifndef LIMITS_H	/* Ward off double-inclusions */
#define LIMITS_H

#define PATHSIZE	128 	/* Gets this big under MS-DOS */
#define LINESIZE         80  	/* maximum *output* line length */
#define ANS_LENGTH      128    	/* DOS's maximum line length, was 80. */

#define WATCH_LIM      9 /* number of 'watch' points is WATCH_LIM + 1  */

#define MAX_BUFSIZE	65000	/* Keeps us out of trouble on PCs, mostly for */
			        /* quintfile header comments. */

typedef char SYMBOL;	 /* Base type for s symbol */
typedef char STATE;	 /* base type for a state */

#endif /* #ifndef LIMITS_H */
